Updated: 2012-02-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: Proxy Class strips off Class Doc Comments
Description

The Proxy Class replaces the class doc comment of the original class with Autogenerated Proxy Class
.
Instead it should keep the comments of the source class.

Associated revisions
Revision 899eb3f3 - 2012-02-24 11:56 - Bastian Waidelich

[BUGFIX] Keep class doc comments when building proxies

Currently the doc comment of a class is replaced with
"Autogenerated Proxy Class" when the proxy class is generated.
This change fixes this and keeps the original doc comment.

That is particulary useful if you rely on the original comment
when creating automatic class documentations.

Change-Id: I5725361e8eb7d1a2e0e80fc538fbe836e39828c2
Fixes: #34110
Releases: 1.0, 1.1

Revision 465c4cbe - 2012-02-27 17:14 - Bastian Waidelich

[BUGFIX] Keep class doc comments when building proxies

Currently the doc comment of a class is replaced with
"Autogenerated Proxy Class" when the proxy class is generated.
This change fixes this and keeps the original doc comment.

That is particulary useful if you rely on the original comment
when creating automatic class documentations.

Change-Id: I5725361e8eb7d1a2e0e80fc538fbe836e39828c2
Fixes: #34110
Releases: 1.0, 1.1

History
#1 - 2012-02-20 12:20 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9121

#2 - 2012-02-20 16:53 - Karsten Dambekalns
- Target version changed from 1.1 to 1.0.3
- Affected Flow version changed from Git master to Git 1.0

#3 - 2012-02-23 20:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9121

#4 - 2012-02-24 11:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9121

#5 - 2012-02-27 17:17 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9256

#6 - 2012-02-28 02:43 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:899eb3f37229244f2938f84d52c655b80c91d759.
